Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.compose
Class Dyadic

    java.lang.Object
      com.hp.hpl.jena.graph.impl.GraphBase
          com.hp.hpl.jena.graph.compose.CompositionBase
              com.hp.hpl.jena.graph.compose.Dyadic

All Implemented Interfaces:
  Graph, GraphAdd, com.hp.hpl.jena.graph.impl.GraphWithPerform

Direct Known Subclasses:
  Delta, Difference, DisjointUnion, Intersection, Union

    public abstract class Dyadic

extends CompositionBase

Base class for the two-operand composition operations; has two graphs L and R

Author:
  kers, Ian Dickinson - refactored most of the content to `CompositionBase`.

Field Summary

Fields inherited from interface com.hp.hpl.jena.graph.Graph
`emptyGraph`

Constructor Summary
`Dyadic(Graph L, Graph R)` When the graph is constructed, copy the prefix mappings of both components into this prefix mapping.

Method Summary
`void` | `close()` Close this graph.
`boolean` | `dependsOn(Graph other)` Generic dependsOn, true iff it depends on either of the subgraphs.
`java.lang.Object` | `getL()` Answer the left (first) operand of this Dyadic.
`java.lang.Object` | `getR()` Answer the right (second) operand of this Dyadic.
`Union` | `union(Graph X)`

Methods inherited from class com.hp.hpl.jena.graph.compose.CompositionBase
`butNot, ifIn, ifIn, recording, reject, rejecting, rejecting`

Methods inherited from class com.hp.hpl.jena.graph.impl.GraphBase
`add, contains, contains, delete, find, find, forTestingOnly_graphBaseFind, getBulkUpdateHandler, getCapabilities, getEventManager, getPrefixMapping, getReifier, getStatisticsHandler, getTransactionHandler, isClosed, isEmpty, isIsomorphicWith, notifyAdd, notifyDelete, performAdd, performDelete, queryHandler, size, toString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Dyadic

    public Dyadic(Graph L,
                  Graph R)

  When the graph is constructed, copy the prefix mappings of both components into this prefix mapping. The prefix mapping doesn't change afterwards with the components, which might be regarded as a bug.

Method Detail

### close

    public void close()

  Description copied from class: `com.hp.hpl.jena.graph.impl.GraphBase`
  Close this graph. Subgraphs may extend to discard resources.

  Specified by:
    `close` in interface `Graph`
  Overrides:
    `close` in class `com.hp.hpl.jena.graph.impl.GraphBase`

### dependsOn

    public boolean dependsOn(Graph other)

  Generic dependsOn, true iff it depends on either of the subgraphs.

  Specified by:
    `dependsOn` in interface `Graph`
  Overrides:
    `dependsOn` in class `com.hp.hpl.jena.graph.impl.GraphBase`
  Parameters:
    `other` - the graph this graph may depend on
  Returns:
    false if this does not depend on other

### union

    public Union union(Graph X)

### getL

    public java.lang.Object getL()

  Answer the left (first) operand of this Dyadic.

### getR

    public java.lang.Object getR()

  Answer the right (second) operand of this Dyadic.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP